Status: Resolved Priority: Should have
Author: Robert Lemke Category: Object
Updated: 2011-09-05 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: injectSettings() doesn't receive always the settings of its own package
Description

injectSettings() should always receive the settings of that package the inject method is declared in. That is, we should derive the
package key for the settings from the name of the class containing the injectSettings() method.

Currently this is not the case for settings injection defined in the Objects.yaml and referring to a different class (see related issue).

Related issues:
blocks TYPO3.Flow - Task # 29412: Remove generic PDO backend Resolved 2011-09-01

Associated revisions
Revision c850b2a0 - 2011-09-05 18:21 - Robert Lemke

[BUGFIX] Injected settings are now from the correct package

This fixes a bug caused by the Configuration Builder which resulted
in settings of a wrong package being injected into classes under
certain circumstances.

Change-Id: Id2c26e600efb6ac34733d42cc0e518526e583fee
Resolves: #29486

History
#1 - 2011-09-05 18:23 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Id2c26e600efb6ac34733d42cc0e518526e583fee has been pushed to the review server.
It is available at http://review.typo3.org/4774

#2 - 2011-09-05 19:06 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c850b2a033dcf382bf4607a95af29ecf03b99329.
